function []=hidensity(parent,a,b)
%show the highest density regions of a 2D scores plot
score=parent.score;
nrows=parent.cropmatrix(4)-parent.cropmatrix(2)+1;
%figure
scatter(score(1:5:end,a),score(1:5:end,b),1,[0 0.2 1]);
hold on
scatter(score(2:50:end,a),score(2:50:end,b),1,[0 0.8 1]);
scatter(score(3:200:end,a),score(3:200:end,b),1,[0.8 1 0]);
str = sprintf('Score %d',a);
xlabel(str)
str = sprintf('Score %d',b);
ylabel(str)
str = sprintf('Cluster Plot, Scores (%d,%d)',a,b);
title(str)
hold off

fused=imfuse(reshape(score(:,a),nrows,[]),reshape(score(:,b),nrows,[]));
figure
imshow(fused)
str = sprintf('Scores Contrast Image, Scores (%d,%d)',a,b);
title(str);
end